> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /users/xuid(xuid)/lists/PINS/{listname}/ContainsItems

> /users/xuid(xuid)/lists/PINS/{listname}/ContainsItems

Determines whether a set of items (specified by itemId) are contained in a list without retrieving the entire list.
The domain for these URIs is `eplists.xboxlive.com`.

* [URI parameters](#ID4EV)

## URI parameters

| Parameter | Type | Description |
| - | - | - |
| XUID | string | XUID of the user. |
| listname | string | Name of the list to manipulate. |

## Valid methods

[POST](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamecontainsitemspost.md)

  Determines whether a list contains a set of items (specified by itemId) without retrieving the entire list.

## See also

##### Parent

[Universal Resource Identifier (URI) Reference](https://docs.xbox.com/reference/live/rest/uri/atoc-xboxlivews-reference-uris.md)


## Related topics

- [POST /users/xuid(xuid)/lists/PINS/{listname}/ContainsItems](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamecontainsitemspost.md)
- [GET (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameget.md)
- [PUT (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameput.md)
- [POST (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamepost.md)
- [DELETE (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamedelete.md)
